diff options
Diffstat (limited to 'ci')
| -rwxr-xr-x | ci/run_lint.sh | 24 | ||||
| -rwxr-xr-x | ci/run_tests.sh | 6 | ||||
| -rwxr-xr-x | ci/script.sh | 12 |
3 files changed, 6 insertions, 36 deletions
diff --git a/ci/run_lint.sh b/ci/run_lint.sh deleted file mode 100755 index ba1a61858e..0000000000 --- a/ci/run_lint.sh +++ /dev/null @@ -1,24 +0,0 @@ -#!/usr/bin/env bash - -set -e -set -o pipefail - -CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" - -source "${CI_DIR}/common/build.sh" -source "${CI_DIR}/common/suite.sh" - -rm -f "$END_MARKER" - -# Run all tests if no input argument is given -if (($# == 0)); then - tests=('lintcfull' 'lintlua' 'lintpy' 'lintsh' 'check-single-includes') -else - tests=("$@") -fi - -for i in "${tests[@]}"; do - make "$i" || fail "$i" -done - -end_tests diff --git a/ci/run_tests.sh b/ci/run_tests.sh index 23460b682e..da72d09506 100755 --- a/ci/run_tests.sh +++ b/ci/run_tests.sh @@ -33,3 +33,9 @@ for i in "${tests[@]}"; do done end_tests + +if [[ -s "${GCOV_ERROR_FILE}" ]]; then + echo '=== Unexpected gcov errors: ===' + cat "${GCOV_ERROR_FILE}" + exit 1 +fi diff --git a/ci/script.sh b/ci/script.sh deleted file mode 100755 index 74fc4eda6c..0000000000 --- a/ci/script.sh +++ /dev/null @@ -1,12 +0,0 @@ -#!/usr/bin/env bash - -set -e -set -o pipefail - -ci/run_${CI_TARGET}.sh - -if [[ -s "${GCOV_ERROR_FILE}" ]]; then - echo '=== Unexpected gcov errors: ===' - cat "${GCOV_ERROR_FILE}" - exit 1 -fi |